/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   rush02.h                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: lvincent <lvincent@student.42.fr>          +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2022/07/31 23:23:19 by lvincent          #+#    #+#             */
/*   Updated: 2022/07/31 23:30:37 by lvincent         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#ifndef RUSH02_H
# define RUSH02_H

# include <unistd.h>
# include <stdlib.h>
# include <fcntl.h>

struct s_nb
{
	char	*nbr;
	char	*txt;
};

char		*ft_addchar(char *str, char c);
struct s_nb	ft_parse_line(char	*line);
void		ft_error(void);
void		ft_dict_error(void);
int			ft_strlen(char *str);
int			ft_is_whitespace(char c);
char		**ft_cut_line2(char *str, char **tab, int count_line, int i);
char		**ft_cut_line(char *str);
char		**ft_dict_to_line(char *path);
int			ft_parse(char *str);
char		*ft_trim(char *str);
char		*ft_set_string_malloc(char *str);
char		**add_tab_char(char **tab, char c);
char		**add_tab_str(char **tab, char *str);
char		**i_is_1(char **tab, char *nbr);
char		**ft_number(char **tab, char *nbr);
char		*set_zeros(char *str);
char		**ft_comp(char *str);

#endif
